package service

import (
	"context"
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
	cdr "git.loafle.net/commons_go/di/registry"
	oocmci "git.loafle.net/overflow/overflow_commons_go/modules/commons/interfaces"
	configM "git.loafle.net/overflow/overflow_commons_go/modules/config/model"
)

func init() {
	cdr.RegisterType(reflect.TypeOf((*CrawlerService)(nil)))
}

type CrawlerService struct {
	cda.TypeAnnotation `annotation:"@overFlow:Service()"`
	oocmci.Service
}

func (cs *CrawlerService) Start() error {

	return nil
}

func (cs *CrawlerService) Stop(ctx context.Context) error {

	return nil
}

func (cs *CrawlerService) Install() error {
	return nil
}

func (cs *CrawlerService) Uninstall() error {
	return nil
}

func (cs *CrawlerService) Update() error {
	return nil
}

func (cs *CrawlerService) Authenticate(crawler *configM.Crawler, target *configM.Target) error {
	return nil
}
